Skip to main content
PATCH
/
api
/
startup-challenges
/
{challenge_id}
/
steps
/
{step_id}
Update Step Endpoint
curl --request PATCH \
  --url https://api.example.com/api/startup-challenges/{challenge_id}/steps/{step_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "category": "<string>",
  "complexity": "low",
  "description": "<string>",
  "name": "<string>",
  "notes": "<string>",
  "status": "todo"
}
'
{
  "challenge_id": "<string>",
  "complexity": "low",
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "position": 123,
  "status": "todo",
  "updated_at": "<string>",
  "category": "<string>",
  "description": "<string>",
  "notes": "<string>"
}

Path Parameters

challenge_id
string
required
step_id
string
required

Body

application/json
category
string | null
complexity
enum<string> | null
Available options:
low,
medium,
high
description
string | null
name
string | null
Required string length: 1 - 300
notes
string | null
status
enum<string> | null
Available options:
todo,
in_progress,
done,
skipped

Response

Successful Response

challenge_id
string
required
complexity
enum<string>
required
Available options:
low,
medium,
high
created_at
string
required
id
string
required
name
string
required
position
integer
required
status
enum<string>
required
Available options:
todo,
in_progress,
done,
skipped
updated_at
string
required
category
string | null
description
string | null
notes
string | null